## org.eclipse.datatools.enablement.sybase.deltaddl
Class DeltaDdlGenServiceImpl

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.deltaddl.DeltaDdlGenServiceImpl

    public final class DeltaDdlGenServiceImpl

extends java.lang.Object

This class try to find the specified IDeltaDdlGenProvider following this rule: 1. try to find the most compatitable provider, if not goto 2. 2. try to find the largest version of the specified product and clazz compatible provider, if not goto 3. 3. try to find the super class of specified provider class, and goto 1. 4. if can not find provider, return GenericDeltaDdlGenProvider.INSTANCE;

Author:
  linsong

Field Summary
`static DeltaDdlGenServiceImpl` `INSTANCE`

Method Summary
`IDeltaDdlGenProvider` `getDeltaDdlGenProvider(java.lang.String product, java.lang.String version, org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DeltaDdlGenServiceImpl INSTANCE

Method Detail

### getDeltaDdlGenProvider

    public IDeltaDdlGenProvider getDeltaDdlGenProvider(java.lang.String product,
                                                       java.lang.String version,
                                                       org.eclipse.emf.ecore.EObject obj)